#include <windows.h>
#include <stdio.h>
#include <lm.h>

#pragma comment(lib, "Netapi32.lib")

void wmain(int argc, WCHAR *argv[])
{
   NET_API_STATUS res;

   if(argc < 3)
   {
	   wprintf(L"Usage: NetShareDel servername sharename\n");
	   wprintf(L"Example: NetShareDel Mikeserver Myfolder\n");
   }
   else
   {
      // Call the NetShareDel() function to delete the share.
      res=NetShareDel(argv[1], argv[2], 0);

	  // Display the result of the call.
      if(res==0)
	  {
		  wprintf(L"NetShareDel() is OK!\n");
		  wprintf(L"%s share was removed successfully!\n", argv[2]);
	  }
      else
	  {
		  wprintf(L"NetShareDel() failed! Error %u\n", res);
	  }
   }
   return;
}
